Valorant API Unofficial docs
API Reference Pregame
POST

Lock Character

Lock in an agent
DO NOT USE THIS FOR INSTALOCKING
Riot doesn't like this. You may get banned or get the API restricted for the rest of us.

Internal name Pregame_LockCharacter Server GLZ · region + shard Auth Bearer + Entitlements
POST https://glz-{region}-1.{shard}.a.pvp.net/pregame/v1/matches/{pre-game match id}/lock/{agent id}
Try this request in the browser with your own values

Headers

X-Riot-ClientPlatform string required
Value {client platform}— Base64-encoded client platform JSON
X-Riot-ClientVersion string required
Value {client version}— The current Valorant client version
X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

region enum required

na, latam, br, eu, ap or kr.

nalatambreuapkr
How to get it

There are 6 regions:

Region ID Region Name
na North America
latam Latin America
br Brazil
eu Europe
ap Asia Pacific
kr Korea
Obtaining locally:

The region can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

Use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

pre-game match id string · uuid required
The match ID of the pre-game lobby. The ID of the pre-game lobby can be found from the Pre-Game Player endpoint.
agent id string · uuid required
An agent ID. The IDs of all agents can be found from the third-party Agents endpoint.

Other variables

client platform Base64-encoded client platform JSON.
Details

A string representing the platform of the client. Base-64 encoded JSON with the following fields:

{
    "platformType": "PC",
    "platformOS": "Windows",
    "platformOSVersion": "10.0.26200.1.256.64bit",
    "platformChipset": "Unknown"
}
ewoJInBsYXRmb3JtVHlwZSI6ICJQQyIsCgkicGxhdGZvcm1PUyI6ICJXaW5kb3dzIiwKCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjI2MjAwLjEuMjU2LjY0Yml0IiwKCSJwbGF0Zm9ybUNoaXBzZXQiOiAiVW5rbm93biIKfQ== is a value that works.

client version The current Valorant client version.
Details

The version of the Valorant client. This can be obtained in a number of ways:

  • Parsing the ShooterGame log at %LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log
  • Using the Sessions endpoint
  • Using the third-party RadiantConnect version endpoint (data.riot_client_version )
  • Using the third-party Versions endpoint
Sessions
entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

ID string · uuid

Pre-Game Match ID

Version number
Teams array[object]
Show nested attributes Hide nested attributes 2
TeamID enum | string · uuid
Players array[object]
Show nested attributes Hide nested attributes 8
Subject string · uuid

Player UUID

CharacterID string · uuid

Character ID

CharacterSelectionState enum
"""selected""locked"
PregamePlayerState string

Known values: `joined`

CompetitiveTier number
PlayerIdentity object
Show nested attributes Hide nested attributes 7
Subject string · uuid

Player UUID

PlayerCardID string · uuid

Card ID

PlayerTitleID string · uuid

Title ID

AccountLevel number
PreferredLevelBorderID string · uuid | literal

Preferred Level Border ID

Incognito boolean
HideAccountLevel boolean
SeasonalBadgeInfo object
Show nested attributes Hide nested attributes 5
SeasonID string · uuid | literal

Season ID

NumberOfWins number
WinsByTier null
Rank number
LeaderboardRank number
IsCaptain boolean
AllyTeam object nullable
Show nested attributes Hide nested attributes 2
TeamID enum | string · uuid
Players array[object]
Show nested attributes Hide nested attributes 8
Subject string · uuid

Player UUID

CharacterID string · uuid

Character ID

CharacterSelectionState enum
"""selected""locked"
PregamePlayerState string

Known values: `joined`

CompetitiveTier number
PlayerIdentity object
Show nested attributes Hide nested attributes 7
Subject string · uuid

Player UUID

PlayerCardID string · uuid

Card ID

PlayerTitleID string · uuid

Title ID

AccountLevel number
PreferredLevelBorderID string · uuid | literal

Preferred Level Border ID

Incognito boolean
HideAccountLevel boolean
SeasonalBadgeInfo object
Show nested attributes Hide nested attributes 5
SeasonID string · uuid | literal

Season ID

NumberOfWins number
WinsByTier null
Rank number
LeaderboardRank number
IsCaptain boolean
EnemyTeam object nullable
Show nested attributes Hide nested attributes 2
TeamID enum | string · uuid
Players array[object]
Show nested attributes Hide nested attributes 8
Subject string · uuid

Player UUID

CharacterID string · uuid

Character ID

CharacterSelectionState enum
"""selected""locked"
PregamePlayerState string

Known values: `joined`

CompetitiveTier number
PlayerIdentity object
Show nested attributes Hide nested attributes 7
Subject string · uuid

Player UUID

PlayerCardID string · uuid

Card ID

PlayerTitleID string · uuid

Title ID

AccountLevel number
PreferredLevelBorderID string · uuid | literal

Preferred Level Border ID

Incognito boolean
HideAccountLevel boolean
SeasonalBadgeInfo object
Show nested attributes Hide nested attributes 5
SeasonID string · uuid | literal

Season ID

NumberOfWins number
WinsByTier null
Rank number
LeaderboardRank number
IsCaptain boolean
ObserverSubjects array[any]
MatchCoaches array[any]
EnemyTeamSize number
EnemyTeamLockCount number
PregameState string

Known values: `character_select_active`, `provisioned`

LastUpdated string

Date in ISO 8601 format

MapID string

Map ID

MapSelectPool array[any]
BannedMapIDs array[any]
CastedVotes any
MapSelectSteps array[any]
MapSelectStep number
Team1 enum | string · uuid
GamePodID string
Mode string

Game Mode

VoiceSessionID string
MUCName string
TeamMatchToken string

JWT containing match ID and player IDs

QueueID string | literal

Queue ID

ProvisioningFlowID enum
"Matchmaking""CustomGame"
IsRanked boolean
PhaseTimeRemainingNS number
StepTimeRemainingNS number
altModesFlagADA boolean
TournamentMetadata null
RosterMetadata null